/*
 * channel.h
 *
 * $Id: channel.h,v 1.8 1998/09/27 03:58:29 sharl Exp $
 */
#ifndef __channel_h__
#define __channel_h__

typedef struct {
	BOOLEAN active;		/* QĂ邩? */
	char *name;			/* `l(SJIS) */
	char *topic;		/* Ƃ҂ */
	BOOLEAN isoper;		/* oper ? */
	BOOLEAN donemodewithjoined;	/* JOIN  MODE 𔭍s? */
} CHANSTAT;

CHANSTAT *getchanstat(char *);
void new_channel(int);
void set_topic(char *, char *);
void sjchan2jchan(char *, const unsigned char *);
void jchan2sjchan(unsigned char *, const char *);
void irc_initial_join(int);
void join_chanlist(const char *, BOOLEAN);
void part_chanlist(const char *);
void change_channel(const char *);
void list_joined(void);

extern BOOLEAN nojoin;
extern int current_channel;
extern CHANSTAT chanlist[];

#endif
