/*
 * ctcp.h
 *
 * $Id: ctcp.h,v 1.2 1998/10/02 13:23:51 sharl Exp $
 */
#ifndef __ctcp_h__
#define __ctcp_h__

typedef enum {
	CTCP_NONE,

	CTCP_ACTION,
	CTCP_CLIENTINFO,
	CTCP_DCC,
	CTCP_ECHO,
	CTCP_ERRMSG,
	CTCP_FINGER,
	CTCP_PING,
	CTCP_SOURCE,
	CTCP_TIME,
	CTCP_USERINFO,
	CTCP_VERSION,

	CTCP_CMD_END,
} ctcp_t;

typedef struct CTCP {
	char *name;
	ctcp_t cmd;
} CTCP;

void ctcp_to(int, char *);
void ctcp_from(int, char *, char *, char *);
void ctcp_action(char *, char *);

const struct CTCP *ctcp_word_set(const char *, int);

#endif
