/* C code produced by gperf version 2.5 (GNU C++ version) X6_02 */
/* Command-line: gperf -tpogaCTi1 -N ctcp_word_set ctcptab.gperf  */
#include "ctcp.h"

#define TOTAL_KEYWORDS 6
#define MIN_WORD_LENGTH 4
#define MAX_WORD_LENGTH 10
#define MIN_HASH_VALUE 6
#define MAX_HASH_VALUE 12
/* maximum key range = 7, duplicates = 0 */

#ifdef __GNUC__
inline
#endif
static unsigned int
hash (register const char *str, register int len)
{
  static const unsigned char asso_values[] =
    {
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13,  1, 13,  1, 13,  6,
     13,  1, 13, 13, 13, 13, 13, 13,  1,  1,
      1, 13, 13, 13,  1,  1,  1, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
     13, 13, 13, 13, 13, 13, 13, 13,
    };
  return len + asso_values[str[len - 1]] + asso_values[str[0]];
}

#ifdef __GNUC__
inline
#endif
const struct CTCP *
ctcp_word_set (register const char *str, register int len)
{
  static const struct CTCP wordlist[] =
    {
      {"",}, {"",}, {"",}, {"",}, {"",}, {"",}, 
      {"PING", 		CTCP_PING},
      {"",}, 
      {"ACTION", 		CTCP_ACTION},
      {"VERSION", 	CTCP_VERSION},
      {"USERINFO", 	CTCP_USERINFO},
      {"TIME", 		CTCP_TIME},
      {"CLIENTINFO", 	CTCP_CLIENTINFO},
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH)
    {
      register int key = hash (str, len);

      if (key <= MAX_HASH_VALUE && key >= 0)
        {
          register const char *s = wordlist[key].name;

          if (*s == *str && !strcmp (str + 1, s + 1))
            return &wordlist[key];
        }
    }
  return 0;
}
